*Codes for "Life-Cycle and Intergenerational Effects of Child Care Reforms" published in Quantitative Economics
* copyright by Marc K. Chan and Kai Liu, 2017;
/* this file investigates completed fertility vs timing effects  */

%let simpath = directoryhere;
%let filetype = sim;
%let simfilename = simulate4.txt;

data sim;
	infile "&simpath.&simfilename";
	input nmpid simno swave type cftype choicenew utility earn obsearn nchildnow;
run;
data sim;
	set sim;
	keep nmpid simno swave type choicenew nchildnow;
run;

/* obtain mother's age when first child is born */
data temp6;
	set sim;
	if nchildnow>0;
run;
proc sql; 
	create table temp6_index as
	select p.nmpid, p.simno, count(*) as count, p.type from
	temp6 as p
	group by nmpid, simno, type;
quit;
data temp6_index;
	set temp6_index;
	bwave = 18 - count +1;
run;

/* obtain average number of children by swave */
ods html style=minimal;
proc tabulate data=sim;
	class swave;
	var nchildnow;
	table swave='',(nchildnow)*mean*(f=6.3);
run;
ods html close;

ods html style=minimal;
/* mother's age when first child is born */
proc means data=temp6_index;
	var bwave;
run;
/* distribution of number of children in the last wave */
proc freq data=sim;
	table nchildnow;
	where swave=18;
run;
ods html close;
