*Codes for "Life-Cycle and Intergenerational Effects of Child Care Reforms" published in Quantitative Economics
* copyright by Marc K. Chan and Kai Liu, 2017;

* plot posterior histograms using posteriors from simulation output
clear 
program drop _all
set more off
import excel using postdist.xlsx, firstrow sheet("l_postdist") clear
replace e_w = e_w +5.48
save postdist_low,replace
graph twoway histogram e_w, freq title(Low-Education Women) xtitle("Predicted permanent skill endowment" "(ln(wage))") saving(postdist_low, replace) ylabel(0(100)500) xlabel(4.8(0.2)5.8) width(0.0125)
import excel using postdist.xlsx, firstrow sheet("h_postdist") clear
replace e_w = e_w + 5.844
save postdist_high,replace
graph twoway histogram e_w , freq title(High-Education Women) xtitle("Predicted permanent skill endowment" "(ln(wage))") saving(postdist_high, replace) ylabel(0(100)500) xlabel(4.8(0.2)5.8) width(0.0125)
graph combine postdist_low.gph postdist_high.gph, col(2) saving(postdist, replace) 

altshrink 
	 graph export postdist.tif, replace
