*Codes for "Life-Cycle and Intergenerational Effects of Child Care Reforms" published in Quantitative Economics
* copyright by Marc K. Chan and Kai Liu, 2017;

/* start from sim_read new 1 2016.sas */
/* this file generates average tax rate by family size*/

data temp_tax;
	set temp1;
	avgtax = -cumben/cumearn*100;
	where swave=12;
run;

/* plot average tax rate (weighted and unweighted) by family size */
ods html style=minimal;
proc tabulate data=temp_tax;
	class nchildnow;
	var work ft pt care care_a care_w care_informal care_maternal care_best care_best2 preg yngchild_0 cumearn cumben cumutil cumcareprice avgtax;
	table (work pt ft care care_a care_w care_best care_best2 care_maternal care_informal preg yngchild_0 cumutil cumcareprice)*mean*(f=6.3) (cumearn cumben avgtax)*(mean)*(f=6.3) (cumearn cumben avgtax)*(std)*(f=6.3) reppctn,nchildnow all;
	where swave in (12);
run;
ods html close;

